/* mini
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2000-2006, Toni Thomsson <toni@tonjac.org> 
*/

#ifndef zz_message_listener_h
#define zz_message_listener_h

#include <zz_message.h>
#include <zz_export.h>

class ZZ_API CzzMessageListener
{
public:

	CzzMessageListener();
	virtual ~CzzMessageListener();

	/**
		Should return the size in bytes of the type. Used by Mini's dynamic C++ classloader.
		Implement as:
		return sizeof(CYourListener);
	*/
    virtual int size() = 0;

	virtual void onMessage( CzzMessage* msg ) = 0;

protected:
private:

};

#endif // zz_message_listener_h