/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/
 
// Implementation of class Cmp3Icecast

#include "mp3_icecast.h"
#include <icecast.h>

// Construction
Cmp3Icecast::Cmp3Icecast( CzzString home )
 : CzzWinThread(), m_Home( home )
{

}

// Destruction
Cmp3Icecast::~Cmp3Icecast()
{

}


void Cmp3Icecast::OnStart()
{
	int argc = 3;
	CzzString cfg = CzzString( m_Home + "\\icecast.xml" );
	static char* t[256] = { (char*)m_Home.c_str(), "-c", (char*)cfg.c_str() };
	
	icecast_main( argc, t );
}

void Cmp3Icecast::test( int argc, char** argv )
{

	printf( "%s\n", argv[0] );
	printf( "%s\n", argv[1] );
	printf( "%s\n", argv[2] );
}