/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

// Implementation of class Cmp3SeekResultRender

#include "mp3_seek_result_render.h"
#include "mp3_general_data.h"
#include "mp3_config.h"
#include "mp3_seek_result_data.h"
#include "mp3_svc.h"

// Construction
Cmp3SeekResultRender::Cmp3SeekResultRender( void* session, CzzParameterMap* cgi )
 : CzzOutputRender( CzzString::Format( ".\\%s\\%s\\renderList.html", Cmp3Config::getLang().c_str(), Cmp3Config::getSkin().c_str() ), session, cgi )
{
	CzzString back_url = CzzString::Format( "%s/mp3_gui.exe?svc=%d&anchor=%s", 
											Cmp3Config::getCGIDir().c_str(), 
											MP3_SVC_LIST_ARTISTS, "A" );

	this->addFieldSvc( new Cmp3GeneralData( back_url, "myMusic", 
		CzzString::Format( "%s - %s", Cmp3Config::HEADLINE_SEEK_1().c_str(), Cmp3Config::HEADLINE_SEEK_2().c_str() )) );
	
	this->addListSvc( MP3_FLD_TABLE, new Cmp3SeekResultData( ) );

}

// Destruction
Cmp3SeekResultRender::~Cmp3SeekResultRender()
{

}

