/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/

#ifndef mp3_list_h
#define mp3_list_h

#include <zz_string.h>
#include <map>

typedef map<int, CzzString* > Cmp3InternalList;
typedef map<int, long > Cmp3InternalList2;

class Cmp3List
{
public:

	//* Construction
	Cmp3List();
	~Cmp3List();

	int size( void );
	void add( const char* item );
	void add( const char* item, long time );
	CzzString* get( int pos );
	long getTime( int pos );

protected:
private:
	int m_Size;
	Cmp3InternalList m_List;
	Cmp3InternalList2 m_Time;

};

#endif // mp3_list_h