/* myMusic
 *
 * This program is distributed under the GNU General Public License, version 2.
 * A copy of this license is included with this source.
 *
 * Copyright 2004-2006, Toni Thomsson <toni@tonjac.org> 
*/
 
/**
    Toni Thomsson, toni@tonjac.org
*/

#ifndef mp3_http_server_h
#define mp3_http_server_h

#include <zz_http_server.h>
#include <zz_log.h>
#include <zz_win_thread.h>
#include <windows.h>
#include <zz_access_log.h>

#define MAXTHREADS 30
typedef CzzWinThread* THREADLIST[MAXTHREADS];

class Cmp3HttpServer : public CzzWinThread, CzzHTTPServer
{
public:

    // Construction
    Cmp3HttpServer( CzzAccessLog* log );
    virtual ~Cmp3HttpServer();

    // Listen for a request
    void listen( void );
	virtual void OnStart( void );

private:

	void updateThreadList( CzzWinThread* newjob );
	THREADLIST m_Services;
};

#endif // mp3_http_server_h